UserCollectionType (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.usertype
Interface UserCollectionType

    public interface UserCollectionType

A custom type for mapping user-written classes that implement `PersistentCollection`

See Also:
  `PersistentCollection`

Method Summary
`boolean` | `contains(Object collection, Object entity)` Optional operation.
`Iterator` | `getElementsIterator(Object collection)` Return an iterator over the elements of this collection - the passed collection instance may or may not be a wrapper
`Object` | `indexOf(Object collection, Object entity)` Optional operation.
`Object` | `instantiate(int anticipatedSize)` Instantiate an empty instance of the "underlying" collection (not a wrapper), but with the given anticipated size (i.e.
`PersistentCollection` | `instantiate(SessionImplementor session, CollectionPersister persister)` Instantiate an uninitialized instance of the collection wrapper
`Object` | `replaceElements(Object original, Object target, CollectionPersister persister, Object owner, Map copyCache, SessionImplementor session)` Replace the elements of a collection with the elements of another collection
`PersistentCollection` | `wrap(SessionImplementor session, Object collection)` Wrap an instance of a collection

Method Detail

### instantiate

    PersistentCollection instantiate(SessionImplementor session,
                                     CollectionPersister persister)
                                     throws HibernateException

  Instantiate an uninitialized instance of the collection wrapper

  Throws:
    `HibernateException`

### wrap

    PersistentCollection wrap(SessionImplementor session,
                              Object collection)

  Wrap an instance of a collection

### getElementsIterator

    Iterator getElementsIterator(Object collection)

  Return an iterator over the elements of this collection - the passed collection instance may or may not be a wrapper

### contains

    boolean contains(Object collection,
                     Object entity)

  Optional operation. Does the collection contain the entity instance?

### indexOf

    Object indexOf(Object collection,
                   Object entity)

  Optional operation. Return the index of the entity in the collection.

### replaceElements

    Object replaceElements(Object original,
                           Object target,
                           CollectionPersister persister,
                           Object owner,
                           Map copyCache,
                           SessionImplementor session)
                           throws HibernateException

  Replace the elements of a collection with the elements of another collection

  Throws:
    `HibernateException`

### instantiate

    Object instantiate(int anticipatedSize)

  Instantiate an empty instance of the "underlying" collection (not a wrapper), but with the given anticipated size (i.e. accounting for initial size and perhaps load factor).

  Parameters:
    `anticipatedSize` - The anticipated size of the instaniated collection after we are done populating it. Note, may be negative to indicate that we not yet know anything about the anticipated size (i.e., when initializing from a result set row by row).

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.